//
//  LiveRoomJoinChatItemView.swift
//  SodaLive
//
//  Created by klaus on 2023/08/14.
//

import SwiftUI

struct LiveRoomJoinChatItemView: View {
    
    let chatMessage: LiveRoomJoinChat
    
    var body: some View {
        HStack(spacing: 0) {
            Text("'")
                .font(.system(size: 12))
                .foregroundColor(Color.grayee)
            
            Text(chatMessage.nickname)
                .font(.system(size: 12, weight: .bold))
                .foregroundColor(Color.mainYellow)
            
            Text("'님이 입장하셨습니다.")
                .font(.system(size: 12))
                .foregroundColor(Color.grayee)
        }
        .padding(.vertical, 6.7)
        .frame(width: screenSize().width - 86)
        .background(Color.button.opacity(0.5))
        .cornerRadius(4.7)
        .padding(.leading, 20)
    }
}
